Evince Document Library Reference Manual: ev-transition-effect

## ev-transition-effect ev-transition-effect |

## Synopsis

    enum                EvTransitionEffectType;
    enum                EvTransitionEffectAlignment;
    enum                EvTransitionEffectDirection;
    struct              EvTransitionEffect;
    struct              EvTransitionEffectClass;
    EvTransitionEffect * ev_transition_effect_new           (EvTransitionEffectType type,
                                                             const gchar *first_property_name,
                                                             ...);

## Object Hierarchy

      GEnum
       +----EvTransitionEffectType

      GEnum
       +----EvTransitionEffectAlignment

      GEnum
       +----EvTransitionEffectDirection

      GObject
       +----EvTransitionEffect

## Properties

      "alignment"                EvTransitionEffectAlignment  : Read / Write
      "angle"                    gint                  : Read / Write
      "direction"                EvTransitionEffectDirection  : Read / Write
      "duration"                 gint                  : Read / Write
      "rectangular"              gboolean              : Read / Write
      "scale"                    gdouble               : Read / Write
      "type"                     EvTransitionEffectType  : Read / Write

## Description

## Details

### enum EvTransitionEffectType

    typedef enum {
    	EV_TRANSITION_EFFECT_REPLACE,
    	EV_TRANSITION_EFFECT_SPLIT,
    	EV_TRANSITION_EFFECT_BLINDS,
    	EV_TRANSITION_EFFECT_BOX,
    	EV_TRANSITION_EFFECT_WIPE,
    	EV_TRANSITION_EFFECT_DISSOLVE,
    	EV_TRANSITION_EFFECT_GLITTER,
    	EV_TRANSITION_EFFECT_FLY,
    	EV_TRANSITION_EFFECT_PUSH,
    	EV_TRANSITION_EFFECT_COVER,
    	EV_TRANSITION_EFFECT_UNCOVER,
    	EV_TRANSITION_EFFECT_FADE
    } EvTransitionEffectType;

`EV_TRANSITION_EFFECT_REPLACE` |
`EV_TRANSITION_EFFECT_SPLIT` |
`EV_TRANSITION_EFFECT_BLINDS` |
`EV_TRANSITION_EFFECT_BOX` |
`EV_TRANSITION_EFFECT_WIPE` |
`EV_TRANSITION_EFFECT_DISSOLVE` |
`EV_TRANSITION_EFFECT_GLITTER` |
`EV_TRANSITION_EFFECT_FLY` |
`EV_TRANSITION_EFFECT_PUSH` |
`EV_TRANSITION_EFFECT_COVER` |
`EV_TRANSITION_EFFECT_UNCOVER` |
`EV_TRANSITION_EFFECT_FADE` |

### enum EvTransitionEffectAlignment

    typedef enum {
    	EV_TRANSITION_ALIGNMENT_HORIZONTAL,
    	EV_TRANSITION_ALIGNMENT_VERTICAL
    } EvTransitionEffectAlignment;

`EV_TRANSITION_ALIGNMENT_HORIZONTAL` |
`EV_TRANSITION_ALIGNMENT_VERTICAL` |

### enum EvTransitionEffectDirection

    typedef enum {
    	EV_TRANSITION_DIRECTION_INWARD,
    	EV_TRANSITION_DIRECTION_OUTWARD
    } EvTransitionEffectDirection;

`EV_TRANSITION_DIRECTION_INWARD` |
`EV_TRANSITION_DIRECTION_OUTWARD` |

### struct EvTransitionEffect

    struct EvTransitionEffect;

### struct EvTransitionEffectClass

    struct EvTransitionEffectClass {
    	GObjectClass parent_class;
    };

### ev_transition_effect_new ()

    EvTransitionEffect * ev_transition_effect_new           (EvTransitionEffectType type,
                                                             const gchar *first_property_name,
                                                             ...);

## Property Details

### The `"alignment"` property

      "alignment"                EvTransitionEffectAlignment  : Read / Write

Alignment for the effect.

Default value: EV_TRANSITION_ALIGNMENT_HORIZONTAL

### The `"angle"` property

      "angle"                    gint                  : Read / Write

Effect angle in degrees, counted counterclockwise from left to right.

Allowed values: [0,360]

Default value: 0

### The `"direction"` property

      "direction"                EvTransitionEffectDirection  : Read / Write

Direction for the effect.

Default value: EV_TRANSITION_DIRECTION_INWARD

### The `"duration"` property

      "duration"                 gint                  : Read / Write

Effect duration in seconds.

Allowed values: >= 0

Default value: 0

### The `"rectangular"` property

      "rectangular"              gboolean              : Read / Write

Whether the covered area is rectangular.

Default value: FALSE

### The `"scale"` property

      "scale"                    gdouble               : Read / Write

Scale at which the effect is applied.

Allowed values: [0,1]

Default value: 1

### The `"type"` property

      "type"                     EvTransitionEffectType  : Read / Write

Page transition effect type.

Default value: EV_TRANSITION_EFFECT_REPLACE